package com.gxwebsoft.common.core.utils;

import static com.gxwebsoft.common.core.constants.DomainConstants.*;

public class DomainUtil {

  /**
   * 根域名
   * @return domain.com
   */
  public static String getRootDomain() {
    return ROOT_DOMAIN;
  }

  /**
   * 管理后台地址
   * @return https://{tenantId}.websoft.top
   */
  public static String getAdminUrl(String tenantId) {
    return PREFIX.concat(tenantId).concat(ADMIN_SUFFIX);
  }

  /**
   * 应用网址
   * @param tenantId
   * @return https://{tenantId}.wsdns.cn
   */
  public static String getSiteUrl(String tenantId){
    return PREFIX.concat(tenantId).concat(WEB_SUFFIX);
  }

}
